using System.Security.Cryptography;
using System;

namespace ConsoleApp31
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] unos = Console.ReadLine().Split();

            int n = int.Parse(unos[0]);
            int L = int.Parse(unos[1]);

            string[] Ustalaktiti = Console.ReadLine().Split();

            int[] stalaktiti = new int[Ustalaktiti.Length];

            for (int i = 0; i < Ustalaktiti.Length; i++)
            {
                stalaktiti[i] = int.Parse(Ustalaktiti[i]);
            }

            for (int i = 0; i < n; i++)
            {
                if (stalaktiti[i] <= L)
                {
                    Console.WriteLine(i + 1);
                    return;
                }
            }

            Console.WriteLine(-1);

        }
    }
}